
Foreman - Bug #36525

kickstart's RHSM line only works on RHEL hosts

06/21/2023 06:21 PM - Pat Riehecky

Status: Closed   

Priority: High   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Unattended installations   

Target version:    

Difficulty: easy Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9745,

https://github.com/theforeman/foreman/p

ull/9769

  

Description

https://github.com/jcpunk/foreman/commit/a321f97a51467dcac074bc0b5851985e23ece09a works great on RHEL hosts, but if I've

got a CentOS Stream, AlmaLinux, or other EL like system, the registration is skipped.

These systems are explicitly turning off the RHSM support https://bugzilla.redhat.com/show_bug.cgi?id=2211944.  Thus the existing

templates don't work with self managed Katello.

Related issues:

Has duplicate Foreman - Bug #36719: OracleLinux9 cannot be deployed Duplicate

Associated revisions

Revision bf03a259 - 04/17/2024 06:15 AM - Pat Riehecky

Fixes #36525 - kickstart's RHSM line only works on RHEL hosts

History

#1 - 06/21/2023 06:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9745 added

#2 - 07/05/2023 02:24 PM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9769 added

#3 - 09/05/2023 12:56 PM - Ewoud Kohl van Wijngaarden

- Has duplicate Bug #36719: OracleLinux9 cannot be deployed added

#4 - 04/17/2024 06:15 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#5 - 04/17/2024 07:00 AM - Pat Riehecky

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|bf03a259a7e6fd65207b9a40639bb99e0e507dd8.
